body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    color: #333;
}

.container {
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('assets/background-image.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    box-sizing: border-box;
    padding: 82px 87px;
    overflow: hidden;
}

#content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.header-logos {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    position: absolute;
    top: 40px;
    left: 50%;
    transform: translateX(-50%);
    max-width: calc(100% - 174px);
    padding: 0 20px;
    box-sizing: border-box;
}

.header-logos .logo-superior {
    height: 100px;
}

.header-logos .logo-kognitive {
    height: 60px;
}

.offer-section {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 80px;
    margin-bottom: 50px;
    width: 100%;
}

.offer-text {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 100px;
    align-items: center;
    text-align: left;
}

.offer-text h1 {
    font-size: 75px;
    color: #004990;
    font-weight: 900;
    margin: 0;
    white-space: nowrap;
}

.offer-text-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 25px;
    flex-grow: 1;
    max-width: 680px;
}

.offer-text p {
    font-size: 35px;
    line-height: 1.5;
    color: #333; /* Darker text for readability */
    font-weight: 500;
    margin: 0;
}

.product-action button {
    padding: 22px 48px;
    border-radius: 8px;
    color: #ffffff;
    font-size: 22px;
    font-weight: 600;
    border: none;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
    cursor: pointer;
    background-color: #004990;
    transition: background-color 0.2s ease;
}

.product-action button:hover {
    background-color: #003a72;
}

.info-box-wrapper {
    display: flex;
    width: 100%;
    align-items: flex-end;
    position: relative;
    align-items: center;
}

.gift-cards-desktop {
    position: relative;
    width: 300px;
    margin-right: -350px; /* Overlap the info box */
    z-index: 2;
    flex-shrink: 0;
    height: 423px;;
}

.gift-cards-desktop img {
    position: absolute;
}

.card-hh-desktop {
    top: 20px;
    left: -60px;
    width: 300px;
}

.card-ct-desktop {
    bottom: -30px;
    right: -60px;
    width: 380px;
}

.info-box {
    background-color: #00499059;
    padding: 40px 50px 40px 80px;
    color: #ffffff;
    text-align: left;
    z-index: 1;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transform: translateX(130px);
    padding-right: 200px;
    width: 1528px;
    padding-left: 300px;
}

.info-box .quote {
    text-align: left;
    font-style: italic;
    margin-top: 0;
    margin-bottom: 30px;
    font-size: 35px;
    line-height: 1.6;
    font-weight: 500;
}

.info-box h3 {
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 12px;
}

.info-box ul {
    list-style-position: outside;
    padding-left: 20px;
    margin: 0;
}

.info-box ul li {
    font-size: 25px;
    line-height: 1.8;
    margin-bottom: 8px;
}

.gift-cards-mobile {
    display: none;
}


/* REAL BIG SCREEN */
@media (min-width: 2250px) {
    #content {
        max-width: 2100px;
    }

    .offer-text {
        justify-content: space-around;
    }
}

/* =================================== */
/* Responsive Styles (Mobile First)    */
/* =================================== */
@media (max-width: 1230px) {
    .container {
        align-items: flex-start;
        padding: 20px;
    }

    #content {
        padding-top: 80px; /* Space for absolute header */
        max-width: 330px;
        margin-bottom: 100px;
    }

    .header-logos {
        top: 20px;
        padding: 0 20px;
        max-width: 100%;
    }

    .header-logos .logo-superior {
        height: 44px;
    }

    .header-logos .logo-kognitive {
        height: 29px;
    }

    .offer-section {
        margin-top: 0;
        margin-bottom: 30px;
        padding: 0 35px;
    }

    .offer-text {
        flex-direction: column;
        text-align: center;
        gap: 20px;
    }

    .offer-text h1 {
        font-size: 40px;
        font-weight: 700;
        text-align: left;
        width: 100%;
        white-space: normal;
    }
    
    .offer-text-content {
        align-items: center;
        width: 100%;
    }

    .offer-text p {
        font-size: 16px;
        text-align: left;
        width: 100%;
    }

    .product-action {
        width: 100%;
    }

    .product-action button {
        width: 100%;
        padding: 18px;
        font-size: 20px;
    }
    
    .info-box-wrapper {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }

    .gift-cards-desktop {
        display: none;
    }

    .info-box {
        padding: 30px;
        width: 100%;
        box-sizing: border-box;
        transform: none;
        border-radius: 16px;
    }

    .info-box .quote {
        font-size: 16px;
    }
    .info-box h3 {
        font-size: 14px;
    }
    .info-box ul li {
        font-size: 14px;
    }

    .gift-cards-mobile {
        display: block;
        position: relative;
        height: 0px;
        width: calc(100% + 60px);
        transform: translateX(-30px);
    }

    .gift-cards-mobile img {
        position: absolute;
        width: 200px;
        height: auto;
        bottom: 0;
        border-radius: 8px;
    }

    .card-hh-mobile {
        top: 0;
        left: 10px;
        width: 50% !important;
    }

    .card-ct-mobile {
        top: -20px;
        right: -20px;
        width: 65% !important;
    }
}